Loading...
Searching...
No Matches
xccdf_status Struct Reference
XCCDF

XCCDF item status. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions

OSCAP_API struct xccdf_status * | xccdf_status_new (void)
OSCAP_API struct xccdf_status * | xccdf_status_clone (const struct xccdf_status *old_status)
OSCAP_API struct xccdf_status * | xccdf_status_new_fill (const char *status, const char *date)
OSCAP_API void | xccdf_status_free (struct xccdf_status *status)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API time_t | xccdf_status_get_date (const struct xccdf_status *status)
OSCAP_API xccdf_status_type_t | xccdf_status_get_status (const struct xccdf_status *status)
OSCAP_API const char * | xccdf_status_type_to_text (xccdf_status_type_t id)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | xccdf_status_set_date (struct xccdf_status *obj, time_t newval)
OSCAP_API bool | xccdf_status_set_status (struct xccdf_status *obj, xccdf_status_type_t newval)

## Data Fields

xccdf_status_type_t | status
time_t | date

## Detailed Description

XCCDF item status.

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h